<!--
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<span class="product-image-container" data-bind="style: {width: width + 'px'}">
    <span class="product-image-wrapper"  data-bind="style: {'padding-bottom': height/width*100 + '%'}">
        <img class="product-image-photo" data-bind="attr: {src: src, alt: alt}, style: {width: width + 'px', height: height + 'px'}" />
    </span>
</span>
